
/**
 * External dependencies
 */
import React from 'react';

// We don't want the icon prop in to otherProps, as we'll pass those to the svg component.
// That's why we destructure it from the props but not use it.
export default function( { size = 24, onClick, icon, className, ...otherProps } ) {
	const isModulo18 = size => size % 18 === 0;
	const iconClass = [
		'gridicon',
		'gridicons-book',
		className,
		false ,
		false,
		false,
	].filter( Boolean ).join( ' ' );

	return ( <svg className={ iconClass } height={ size } width={ size } onClick={ onClick } { ...otherProps } xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M4 3h2v18H4zM18 3H7v18h11c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-2 6h-6V8h6v1zm0-2h-6V6h6v1z"/></g></svg> );
}
