
/**
 * External dependencies
 */
import React from 'react';

// We don't want the icon prop in to otherProps, as we'll pass those to the svg component.
// That's why we destructure it from the props but not use it.
export default function( { size = 24, onClick, icon, className, ...otherProps } ) {
	const isModulo18 = size => size % 18 === 0;
	const iconClass = [
		'gridicon',
		'gridicons-cross',
		className,
		false ,
		false,
		false,
	].filter( Boolean ).join( ' ' );

	return ( <svg className={ iconClass } height={ size } width={ size } onClick={ onClick } { ...otherProps } xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M18.36 19.78L12 13.41l-6.36 6.37-1.42-1.42L10.59 12 4.22 5.64l1.42-1.42L12 10.59l6.36-6.36 1.41 1.41L13.41 12l6.36 6.36z"/></g></svg> );
}
