
/**
 * External dependencies
 */
import React from 'react';

// We don't want the icon prop in to otherProps, as we'll pass those to the svg component.
// That's why we destructure it from the props but not use it.
export default function( { size = 24, onClick, icon, className, ...otherProps } ) {
	const isModulo18 = size => size % 18 === 0;
	const iconClass = [
		'gridicon',
		'gridicons-heading-h1',
		className,
		false ,
		false,
		false,
	].filter( Boolean ).join( ' ' );

	return ( <svg className={ iconClass } height={ size } width={ size } onClick={ onClick } { ...otherProps } xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M11 7h2v10h-2v-4H7v4H5V7h2v4h4V7zm6.57 0c-.594.95-1.504 1.658-2.57 2v1h2v7h2V7h-1.43z"/></g></svg> );
}
