
/**
 * External dependencies
 */
import React from 'react';

// We don't want the icon prop in to otherProps, as we'll pass those to the svg component.
// That's why we destructure it from the props but not use it.
export default function( { size = 24, onClick, icon, className, ...otherProps } ) {
	const isModulo18 = size => size % 18 === 0;
	const iconClass = [
		'gridicon',
		'gridicons-next-page',
		className,
		false ,
		false,
		false,
	].filter( Boolean ).join( ' ' );

	return ( <svg className={ iconClass } height={ size } width={ size } onClick={ onClick } { ...otherProps } xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M18 8h-8V6h8v2zm4-4v8l-6 6H8c-1.105 0-2-.895-2-2V4c0-1.105.895-2 2-2h12c1.105 0 2 .895 2 2zm-2 0H8v12h6v-4c0-1.105.895-2 2-2h4V4zM4 6c-1.105 0-2 .895-2 2v12c0 1.1.9 2 2 2h12c1.105 0 2-.895 2-2H4V6z"/></g></svg> );
}
